@import "apps.less";
@import "chat.less";
@import "items.less";
@import "sidebar.less";
@import "variables.less";

:root {
  --font-primary: Gotham SSm, sans-serif;
  --font-header: Orbitron, sans-serif;
  --font-mono: "Monaco", "Menlo", "Ubuntu Mono", "Droid Sans Mono", "Consolas", monospace;
}

.GDW {
  /* Font Styles */

  font-family: var(--font-primary);

  h1 {
    font-family: var(--font-header);
  }

  h2 {
    font-family: var(--font-header);
    font-variant: small-caps;
  }

  .editor {
    height: 190px;
  }

  .ace_editor {
    height: 375px;
    font-family: var(--font-mono) !important;

    * {
      font-family: var(--font-mono) !important;
    }
  }

  form {
    // background-image: url('assets/sunburst-tne-white.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
  }

  .foreign-documents {
    .foreign-document {
      padding-bottom: 5px;
    }
  }

  // .window-content {
  //   background: var(--sheet-background);
  // }

  .sheet-header,
  .sheet-tabs,
  footer {
    flex: 0;
  }

  .header {
    >.item-controls {
      flex: 0 auto;
    }
  }

  .tag-list {
    .tag {
      flex: none;
      min-width: 22px;
      text-align: center;
      height: 20px;
      border: 1px solid var(--color-border-dark);
      border-radius: 3px;
      padding: 0 5px;
      font-size: var(--font-size-14);
      line-height: 18px;
      text-decoration: none;
      background: #333;
      color: var(--color-text-light-highlight);
      margin: 0 0 5px 2px;
    }
  }

  .directory-list {
    padding: 0 0.5em 0 0.5em;
    margin: 0;

    .item-controls {
      flex: 0 auto;
    }

    .trait {
      background: linear-gradient(45deg, #0d0d0d, #bebebe);
      color: var(--color-text-light-0);
      text-shadow: 0 0 10px rgba(0, 0, 0, .5);
      margin: 0 0 1px 0;

      >* {
        display: flex;
        align-items: center;
      }

      >.trait-header {
        padding-right: 10px;

        .trait-name {
          color: #edd391;
          display: flex;
          align-items: center;
          margin: 0;
        }
      }

      .trait-icon {
        flex: none;
        margin-right: 5px;
        width: 32px;
        height: 32px;
      }

      .description {
        flex: 2;
      }

      .item-control {
        width: 25px;
      }
    }
  }

  [data-action="delete"] {
    flex: none;
    margin-left: 5px;
    padding-top: 2px;
    cursor: pointer;

    &:hover {
      color: var(--color-level-error);
    }
  }


  .description {
    flex: 0 auto;
  }

  fieldset {
    border-radius: 4px
  }
}
